import numpy as np
import pandas as pd
import json
import torch

from model.Generator import Generator
from model.AttentiveRNN import AttentiveRNN
from model.Autoencoder import AutoEncoder
from model.Discriminator import DiscriminativeNet as Discriminator

def load_config_from_json(filename):
    with open(filename, 'r') as f:
        config = json.load(f)
    return config

config = load_config_from_json('training_config.json')
print(config)


with torch.no_grad():
    settings =
    generator = Generator
    generator.attentiveRNN.load_state_dict(torch.load(load))
    generator.autoencoder.load_state_dict(torch.load(load))